TESTING/LIN/cqrt11.f(3)

NAME
TESTING/LIN/cqrt11.f

SYNOPSIS

  Functions/Subroutines
real function cqrt11 (m, k, a, lda, tau, work, lwork)
CQRT11

Function/Subroutine Documentation

  real function cqrt11 (integer m, integer k, complex, dimension( lda, * ) a, integer lda, complex, dimension( * ) tau, complex, dimension( lwork ) work, integer lwork)

CQRT11

Purpose:

     CQRT11 computes the test ratio
           || Q'*Q - I || / (eps * m)
     where the orthogonal matrix Q is represented as a product of
     elementary transformations.  Each transformation has the form
        H(k) = I - tau(k) v(k) v(k)'
     where tau(k) is stored in TAU(k) and v(k) is an m-vector of the form
     [ 0 ... 0 1 x(k) ]', where x(k) is a vector of length m-k stored
     in A(k+1:m,k).

Parameters
    M

              M is INTEGER
              The number of rows of the matrix A.

    K

              K is INTEGER
              The number of columns of A whose subdiagonal entries
              contain information about orthogonal transformations.

    A

              A is COMPLEX array, dimension (LDA,K)
              The (possibly partial) output of a QR reduction routine.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.

    TAU

              TAU is COMPLEX array, dimension (K)
              The scaling factors tau for the elementary transformations as
              computed by the QR factorization routine.

    WORK

              WORK is COMPLEX array, dimension (LWORK)

    LWORK

              LWORK is INTEGER
              The length of the array WORK.  LWORK >= M*M + M.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 97 of file cqrt11.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.